# Generated by go2rpm
%bcond_without check
%global debug_package %{nil}

# https://github.com/prometheus/client_golang
%global goipath         github.com/prometheus/client_golang
Version:                1.12.2

%gometa

%global common_description %{expand:
This is the Go client library for Prometheus. It has two separate parts, one for
instrumenting application code, and one for creating clients that talk to the
Prometheus HTTP API.}

%global golicenses      LICENSE NOTICE
%global godocs          examples CODE_OF_CONDUCT.md CONTRIBUTING.md\\\
                        MAINTAINERS.md SECURITY.md CHANGELOG.md README.md\\\
                        README-prometheus.md

Name:           %{goname}
Release:        %mkrel 2
Summary:        Prometheus instrumentation library for go applications
Group:          Development/Other

# Upstream license specification: Apache-2.0
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}
Patch0:         client_golang-1.12.2-fix-tests.patch

BuildRequires:  golang(github.com/beorn7/perks/quantile)
BuildRequires:  golang(github.com/cespare/xxhash/v2)
BuildRequires:  golang(github.com/golang/protobuf/proto)
BuildRequires:  golang(github.com/json-iterator/go)
BuildRequires:  golang(github.com/prometheus/client_model/go)
BuildRequires:  golang(github.com/prometheus/common/expfmt)
BuildRequires:  golang(github.com/prometheus/common/model)
BuildRequires:  golang(github.com/prometheus/procfs)
BuildRequires:  golang(google.golang.org/protobuf/types/known/timestamppb)

%description
%{common_description}

%gopkg

%prep
%goprep
%patch0 -p1

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall
mv prometheus/README.md README-prometheus.md

%if %{with check}
%check
# Fails on some arch with Go 1.16
for test in "TestSummaryDecay" "TestMemStatsEquivalence" "TestBuckets" \
; do
awk -i inplace '/^func.*'"$test"'\(/ { print; print "\tt.Skip(\"disabled failing test\")"; next}1' $(grep -rl $test)
done
%ifarch %{ix86} %{arm}
%gocheck -d api/prometheus/v1
%else
%gocheck
%endif
%endif

%gopkgfiles


%changelog
* Fri Nov 25 2022 guillomovitch <guillomovitch> 1.12.2-2.mga9
+ Revision: 1911141
- fix tests

* Sun Aug 21 2022 guillomovitch <guillomovitch> 1.12.2-1.mga9
+ Revision: 1878962
- new version 1.12.2

* Thu Mar 31 2022 guillomovitch <guillomovitch> 1.11.1-1.mga9
+ Revision: 1836939
- new version 1.11.1

* Sat Jan 29 2022 guillomovitch <guillomovitch> 1.11.0-2.mga9
+ Revision: 1770480
- enable tests

* Mon Nov 15 2021 guillomovitch <guillomovitch> 1.11.0-1.mga9
+ Revision: 1756620
- new version 1.11.0

* Thu Dec 31 2020 pterjan <pterjan> 1.9.0-1.mga8
+ Revision: 1667209
- Update to 1.9.0

* Sun Nov 01 2020 pterjan <pterjan> 1.7.1-1.mga8
+ Revision: 1641507
- Sync with Fedora
- Rename to golang-github-prometheus-client

* Sat Nov 24 2018 pterjan <pterjan> 0.9.0-0.1.mga7
+ Revision: 1333852
- imported package golang-github-prometheus-client_golang

